e-Próspera
Reference

Update a draft partner residency application

View as Markdown
PATCH
/api/v1/partner/residency_applications/{id}

Authorization

partnerKey
AuthorizationBearer <token>

Partner Key for one approved Partner Integration. Keys are lifecycle- and scope-checked, and cross-integration resources are hidden.

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

Idempotency-Key?string

Makes retried partner write requests safe.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/partner/residency_applications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 1,    "applicationData": {      "residencyType": "limited_e_resident",      "personalDetails": {        "givenName": "string",        "surname": "string",        "email": "user@example.com",        "dateOfBirth": "string",        "sex": "male",        "countryOfBirth": "string",        "citizenships": [          "string"        ],        "alternateNamesAttestation": true,        "criminalBackgroundAttestation": true,        "address": {          "line1": "string",          "city": "string",          "postalCode": "string",          "country": "string"        },        "phoneNumber": "string"      }    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "version": 1,    "statusId": "string",    "applicationVersion": "string",    "submittedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "approvedAt": "2019-08-24T14:15:22Z",    "rejectedAt": "2019-08-24T14:15:22Z",    "residentPermitNumber": "string",    "referralCode": "string",    "applicationData": {      "residencyType": "limited_e_resident",      "aoc": {        "aocId": "string",        "signed": true,        "signedByName": "string",        "signedAt": "2019-08-24T14:15:22Z",        "agentAuthorized": true      },      "personalDetails": {        "givenName": "string",        "surname": "string",        "email": "user@example.com",        "dateOfBirth": "string",        "sex": "string",        "countryOfBirth": "st",        "citizenships": [          "st"        ],        "alternateNamesAttestation": true,        "alternateNames": "string",        "criminalBackgroundAttestation": true,        "proofOfAddressUploadId": "374d34cb-fcc3-469a-9edd-37075e3acebb",        "address": {          "line1": "string",          "line2": "string",          "city": "string",          "state": "string",          "postalCode": "string",          "country": "st"        },        "phoneNumber": "string"      },      "information": {        "residencyReason": "string",        "referralSource": "string"      }    },    "applicantPortalAccess": {      "email": "user@example.com",      "hasLoggedIn": true,      "lastLogin": "2019-08-24T14:15:22Z",      "claimLinkSent": true,      "claimLinkSentAt": "2019-08-24T14:15:22Z"    },    "nextSteps": {      "agreementUrl": "http://example.com",      "proofOfAddressRequired": true,      "paymentRequired": true,      "verificationRequired": true,      "verificationInstructions": "string",      "submitReady": true    }  }}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}